Get lists of users
const url = 'https://example.com/api/v1/domains/1/users?limit=50&offset=0&mlist=';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/domains/1/users?limit=50&offset=0&mlist=' \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ID of the domain
Query Parameters
Section titled “Query Parameters”Set detail level of return value. Usually ranges from 0 to 2.
Maximum number of results to return
Index of the first element to return
Match by substring
Comma separated list of attributes to restrict matching to.
Comma separated list of user properties to match
Filter by user property
Sort by attribute. Can be given multiple times.
Filter one or more IDs
Filter by username
Hide MList users
Comma separated list of properties to return
Responses
Section titled “Responses”Data returned
object
object
Unique ID of the object
List of role associated with the user
object
Unique ID of the object
User properties as name/value pairs
object
List of alternative login names
object
Alternative login name
Source (0=manual, 99=LDAP)
List of aliases for this user
User status (0=Normal, 1=Suspended, 3=Deleted, 4=Shared Mailbox, 5=Contact)
POP3/IMAP privilege
SMTP privilege
Password changing privilege
Public address privilege
Chat privilege
Meet privilege
Files privilege
Archive privilege
Web privilege
EAS privilege
DAV privilege
Base64 encoded LDAP object ID
List of fetchmail entries for this user
object
Username of the local user
Whether fetchmail is currently activated
Source server address
Source user
Password of the source user
Last modification time
Type auf authentication to use
Folder to sync from
Whether to fetch seen mails
Keep original e-mails
Protocol to use
Whether to use SSL
Check ssl certificate
Path to local certificate directory or null to use local default
Fingerprint of the server certificate
Additional fetchmail options
Active Sync Policy overrides
object
Whether Bluetooth and hands-free profiles are allowed on the device (0=disabled, 1=allow only HFP, 2=allow)
Whether the device allows the use of a web browser.
Whether the device allows the use of the built-in camera.
Whether the device allows the use of personal email.
Whether the device allows synchronization with Desktop ActiveSync.
Whether the device uses HTML-formatted email.
Whether the device allows the use of Internet Sharing.
Whether the device allows the use of IrDA (infrared) connections.
Whether the device allows access to POP/IMAP email.
Whether the device allows the use of Remote Desktop.
Whether the device allows simple passwords.
Whether the device can negotiate the encryption algorithm to be used for signing (0=not allowed, 1=only strong, 2=any)
Whether the device uses soft certificates to sign outgoing messages.
Whether the device allows the use of the storage card.
Whether the device allows Short Message Service (SMS)/text messaging.
Whether the device allows unsigned applications to execute.
Whether the device allows unsigned cabinet (.cab) files to be installed.
Whether the device allows the use of Wi-Fi connections.
Indicates whether a client device requires an alphanumeric password.
A list of in-RAM applications that are approved for execution.
Indicates whether email attachments are enabled.
Deprecated, kept for backwards compatibility
Indicates whether a client device requires a password.
Whether the password expires after the specified number of days, as determined by the policy (0=unlimited).
The minimum number of previously used passwords the client device stores to prevent reuse (0=no storage).
The maximum number of calendar days that can be synchronized (0=unlimited, 4=2 weeks, 5=1 month, 6=3 months, 7=6 months)
The number of password failures that are permitted before the device is wiped.
The email age limit for synchronization (0=all, 1=1 day, 2=3 days, 3=1 week, 4=2 weeks, 5=1 month)
The truncation size for plain text-formatted email messages (-1=unlimited, 0=header only, >0=truncate to size)
The truncation size for HTML-formatted email messages (-1=unlimited, 0=header only, >0=truncate to size)
The number of seconds of inactivity before the device locks itself (>9999=unlimited)
The minimum number of character classes (lower case, upper case, numbers and symbols) contained within the password.
The minimum device password length that the user can enter (1=unlimited).
Indicates whether to enable a recovery password to be sent to the server by using the Settings command.
Whether the device uses encryption.
The algorithm to be used when encrypting a message (0=TripleDES, 1=DES, 2=RC2128bit, 3=RC264bit, 4=RC240bit)
Whether the device is required to send encrypted messages.
Whether the device requires manual synchronization when the device is roaming.
The algorithm to be used when signing a message (0=SHA1, 1=MD5)
Whether the device is required to send signed S/MIME messages.
Require encryption on storage card (0=no, 1=yes)
A list of in-ROM applications that are not approved for execution.
Whether chat is enabled for this user
Whether this user has grommunio-chat admin permissions
User language
object
Forward type (0=CC, 1=Redirect)
Destination mail address
object
Unique ID of the object
Internal hostname of the server
ID of the associated MList
ID of the organization the user belongs to
Example
{ "data": [ { "status": 0, "fetchmail": [ { "srcAuth": "password", "protocol": "POP3", "sslCertCheck": false, "sslCertPath": null, "sslFingerprint": null } ], "syncPolicy": { "allowbluetooth": 0, "allowbrowser": 0, "allowcam": 0, "allowconsumeremail": 0, "allowdesktopsync": 0, "allowhtmlemail": 0, "allowinternetsharing": 0, "allowirda": 0, "allowpopimapemail": 0, "allowremotedesk": 0, "allowsimpledevpw": 0, "allowsmimeencalgneg": 0, "allowsmimesoftcerts": 0, "allowstoragecard": 0, "allowtextmessaging": 0, "allowunsignedapps": 0, "allowunsigninstallpacks": 0, "allowwifi": 0, "alphanumpwreq": 0, "approvedapplist": [], "attenabled": 0, "devencenabled": 0, "devpwenabled": 0, "devpwexpiration": 0, "devpwhistory": 0, "maxattsize": "", "maxcalagefilter": 0, "maxdevpwfailedattempts": 8, "maxemailagefilter": 0, "maxemailbodytruncsize": -1, "maxemailhtmlbodytruncsize": -1, "maxinacttimedevlock": 900, "mindevcomplexchars": 3, "mindevpwlenngth": 4, "pwrecoveryenabled": 0, "reqdevenc": 0, "reqencsmimealgorithm": 0, "reqencsmimemessages": 0, "reqmansyncroam": 0, "reqsignedsmimealgorithm": 0, "reqsignedsmimemessages": 0, "reqstoragecardenc": 0, "unapprovedinromapplist": [] }, "forward": { "forwardType": 0 } } ]}Validation of input parameters failed
object
List of errors encountered during validation
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
object
String representation of the exception
Examplegenerated
{ "message": "example"}The database query failed
object
Description of the error
Examplegenerated
{ "message": "example"}